# New-RASAVDWorkspace.md

## NAME

New-RASAVDWorkspace

## SYNOPSIS

Creates an Azure Virtual Desktop Workspace.

## SYNTAX

**New-RASAVDWorkspace** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Location](#location-string) *(string)* -[ProviderId](#providerid-string) *(uint)* -[ResourceGroup](#resourcegroup-string) *(string)* \[[Description](#description-string) *(string)*] \[[FriendlyName](#friendlyname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**New-RASAVDWorkspace** \[\[-[SiteId](#siteid-string)] *(uint)*] -[AzureId](#azureid-string) *(string)* -[ProviderId](#providerid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Creates a new Azure Virtual Desktop Workspace or imports an existing Azure Virtual Desktop Workspace.

## PARAMETERS

## Name (string)

The name of the Azure Virtual Desktop Workspace.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to create the specified Azure Virtual Desktop Workspace.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProviderId (uint)

The Provider ID of the Azure Virtual Desktop Provider.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

Description of the Azure Virtual Desktop Workspace.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## FriendlyName (string)

Friendly name of Azure Virtual Desktop Workspace.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ResourceGroup (string)

Resource Group of the Azure Virtual Desktop Workspace.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Location (string)

Location Name of the Azure Virtual Desktop Workspace.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AzureId (string)

Azure ID of existing Workspace.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASAVDWorkspace -Name "My AVDWorkspace" -ProviderId 1 -ResourceGroup "My Resource Group" -Location "My Location"

Creates a new AVD Workspace within the Licensing Server site.

To create the AVD Workspace within a specific site, specify the -SiteId parameter.\
\*\*---------- EXAMPLE 2 ----------

New-RASAVDWorkspace -ProviderId 1 -AzureId "subscriptions/b0375739-05f3-859f-ac89-20ef4dcd92cb/resourceGroups/My\_Resource\_Group/providers/Microsoft.DesktopVirtualization/workspaces/My-Workspace"

Creates an AVD Workspace, from an existing Workspace specified by the AzureId, within the Licensing Server site.

## RELATED LINKS

* [Get-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdworkspace.md)
* [Remove-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdworkspace.md)
* [Set-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdworkspace.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdworkspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
